org.eclipse.wst.jsdt.core.compiler

## Class InvalidInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.wst.jsdt.core.compiler.InvalidInputException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidInputException
    extends java.lang.Exception

Exception thrown by a scanner when encountering lexical errors.

This class is not intended to be instantiated or subclassed by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidInputException()` Creates a new exception with no detail message.
`InvalidInputException(java.lang.String message)` Creates a new exception with the given detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidInputException

    public InvalidInputException()

Creates a new exception with no detail message.

#### InvalidInputException

    public InvalidInputException(java.lang.String message)

Creates a new exception with the given detail message.

Parameters:
  `message` - the detail message